RHS Feedback

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005922AFRF[All Projects] Generalpublic2020-10-11 16:302020-10-16 19:54
Reporterarmicv 
Assigned Toreyhard 
PrioritynoneSeveritymajorReproducibilitysometimes
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version0.5.4 
Summary0005922: T-80B variants FCS forces turret rotation
DescriptionSource:
When using the T-80BV, my gunner would track an armored target and lase the target using T. We shot the target then destroyed it. We then switched to infantry targets at the same range, pressing G to cancel the ranging indicator and firing MGs and HE shells. About 30 seconds after dumping target lead, the turret kept forcing itself to the right, but the sights remained on target. There was no new laser target, nor any other adjustments performed, simply moving the mouse.

Testing:
Bug was present on three different replacement tanks. Bug was successfully reproduced in testing, but only about 50% of the time. Turret kept being forced to the right and was misaligned with the gun sights by roughly 15-25 degrees. Variable anywhere between. And no, it wasn't because the driver was turned out.

It is not a mod clash, as we tested all other T-72 and T-80 variants, and they all work flawlessly.
Steps To Reproduce1) Get an armored target at roughly 600m away, moving in any direction at a stable speed, and get an infantry squad next to it at the same range. Spawn another infantry squad 200m to the left of the main group.

2) Engage the laser rangefinder and automatic leading, destroy the armored target. And engage infantry without using the rangefinder, simply press G to cancel the lead.

3) Engage infantry with the machine guns normally, and then switch to the other squad.

4) About half the time, this will cause the sights to misalign by roughly 15 degrees right relative to the sight. On worse occasions it simply blocked the turret.
TagsNo tags attached.
Is it a wish/request?No
RHS versionStable
Arma 3 version1.98
Did you used any other mod when the error occurred?Yes
Which mods?
Attached Files

- Relationships

-  Notes
(0011093)
reyhard (administrator)
2020-10-11 23:04

We're you using turret override (l alt) ?
(0011100)
armicv (reporter)
2020-10-13 21:27

No, as commander, I was just looking around with the mouse, hand off the keyboard
(0011101)
reyhard (administrator)
2020-10-13 21:42

For the whole time? Any pictures or video perhaps? I'm not able to reproduce it
(0011102)
armicv (reporter)
2020-10-13 21:51

Did double tap alt left to look around in third person, may have caused it, let me see if I can find footage from the op
(0011118)
reyhard (administrator)
2020-10-16 19:54

nevertheless, tank commander override shouldn't work this way and I fixed it for next release (0.5.4)

- Issue History
Date Modified Username Field Change
2020-10-11 16:30 armicv New Issue
2020-10-11 23:04 reyhard Note Added: 0011093
2020-10-11 23:04 reyhard Assigned To => reyhard
2020-10-11 23:04 reyhard Status new => feedback
2020-10-13 21:27 armicv Note Added: 0011100
2020-10-13 21:27 armicv Status feedback => new
2020-10-13 21:42 reyhard Note Added: 0011101
2020-10-13 21:42 reyhard Status new => feedback
2020-10-13 21:51 armicv Note Added: 0011102
2020-10-13 21:51 armicv Status feedback => new
2020-10-13 22:29 reyhard Status new => feedback
2020-10-16 19:54 reyhard Note Added: 0011118
2020-10-16 19:54 reyhard Status feedback => resolved
2020-10-16 19:54 reyhard Fixed in Version => 0.5.4
2020-10-16 19:54 reyhard Resolution open => fixed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker